Bullet Collision Detection & Physics Library: btKinematicClosestNotMeConvexResultCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btKinematicClosestNotMeConvexResultCallback Class Reference
Inheritance diagram for btKinematicClosestNotMeConvexResultCallback:
[legend]
Collaboration diagram for btKinematicClosestNotMeConvexResultCallback:
[legend]

## Public Member Functions
| btKinematicClosestNotMeConvexResultCallback (btCollisionObject *me, const btVector3 &up, btScalar minSlopeDot)
virtual btScalar | addSingleResult (btCollisionWorld::LocalConvexResult &convexResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::ClosestConvexResultCallback
| ClosestConvexResultCallback (const btVector3 &convexFromWorld, const btVector3 &convexToWorld)
Public Member Functions inherited from btCollisionWorld::ConvexResultCallback
| ConvexResultCallback ()
virtual | ~ConvexResultCallback ()
bool | hasHit () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const

## Protected Attributes
btCollisionObject * | m_me
const btVector3 | m_up
btScalar | m_minSlopeDot

## Additional Inherited Members
Public Attributes inherited from btCollisionWorld::ClosestConvexResultCallback
btVector3 | m_convexFromWorld
btVector3 | m_convexToWorld
btVector3 | m_hitNormalWorld
btVector3 | m_hitPointWorld
const btCollisionObject * | m_hitCollisionObject
Public Attributes inherited from btCollisionWorld::ConvexResultCallback
btScalar | m_closestHitFraction
int | m_collisionFilterGroup
int | m_collisionFilterMask

## Detailed Description

Definition at line 65 of file btKinematicCharacterController.cpp.

## Constructor & Destructor Documentation

## ◆ btKinematicClosestNotMeConvexResultCallback()

btKinematicClosestNotMeConvexResultCallback::btKinematicClosestNotMeConvexResultCallback | ( | btCollisionObject * | me,
|  | const btVector3 & | up,
|  | btScalar | minSlopeDot )
| inline

Definition at line 68 of file btKinematicCharacterController.cpp.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btKinematicClosestNotMeConvexResultCallback::addSingleResult | ( | btCollisionWorld::LocalConvexResult & | convexResult,
|  | bool | normalInWorldSpace )
| inlinevirtual

need to transform normal into worldspace

Reimplemented from btCollisionWorld::ClosestConvexResultCallback.

Definition at line 73 of file btKinematicCharacterController.cpp.

## Member Data Documentation

## ◆ m_me

btCollisionObject* btKinematicClosestNotMeConvexResultCallback::m_me
| protected

Definition at line 102 of file btKinematicCharacterController.cpp.

## ◆ m_minSlopeDot

btScalar btKinematicClosestNotMeConvexResultCallback::m_minSlopeDot
| protected

Definition at line 104 of file btKinematicCharacterController.cpp.

## ◆ m_up

const btVector3 btKinematicClosestNotMeConvexResultCallback::m_up
| protected

Definition at line 103 of file btKinematicCharacterController.cpp.

The documentation for this class was generated from the following file:

- btKinematicCharacterController.cpp